Subject: Re: [PATCH RFC v3 1/8] meson: add infrastructure to build internal Rust library

From: "brian m. carlson" <[email-masked]>
Date: Tue, 9 Sep 2025 01:03:52 +0000

On 2025-09-08 at 22:09:37, brian m. carlson wrote:
> Ah, yes, I've already broken this in my branch (early this morning, in
> fact).  I've added a `build.rs` file (used by Cargo) which is necessary
> to properly link the tests against `libgit.a`.  (I'm using the hashing
> code in some of my tests.) Meson fails to honour that and so the
> compilation breaks.

If you're interested in seeing what I mean, you can clone my
`sha256-interop-part-2` from https://github.com/bk2204/git.git, which
has your v2 merged into it.  You can do `make -j12 all` and then `cargo
test`, which should work and pass the tests.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA